Subject: bug#57531: 28.1; Character encoding missing for "eo"

From: Gregory Heytings <[email-masked]>
Date: Mon, 05 Sep 2022 12:59:21 +0000

>> I think expecting systems to be well-configured and to contain accurate 
>> information about that exotic locale is a bit too optimistic.
>
> What would you suggest that Emacs does instead?
>

I don't know, because anything that it could do would be backward 
incompatible.  What is clear is that, on reasonably modern systems, legacy 
locales are not used anymore, and their use is discouraged (e.g. the 
Debian installer does not present you with any legacy encoding, they 
remain available but to activate them you need to edit the /etc/locale.gen 
file manually).  So perhaps Emacs could always assume UTF-8, and use 
another encoding only when there are good reasons to do so (e.g. when 
opening a file with a legacy encoding).  The presence of the equivalence 
eo / Latin-3 in locale.alias is IMO not a good enough reason.